Subject: pithos-usage --reset should only reset diverging quotas and should provide a --dry-run

Description

Proposition 1:

pithos-usage --reset --dry-run

    Displays usages that are diverging in pithos and astakos.

pithos-usage --reset

    Reset usages that are diverging in pithos and astakos

Proposition 2:

current functionality remains the same but:

pithos-usage --reset --diverging

    Reset only diverging usages

pithos-usage --list --diverging

    List only diverging usages

I am in favor of the second.

Associated revisions

Revision 989576a6 - 04/16/2013 02:15 pm - Sofia Papagiannaki 

Update pithos-usage command to list/reset diverging quotas

Refs: #3591

Revision 8108c68c - 04/16/2013 02:35 pm - Sofia Papagiannaki 

Fix pithos-usage command help

Refs: #3591

History

#1 - 04/16/2013 03:48 pm - Sofia Papagiannaki

- Status changed from New to Resolved

03/13/2024 1/1


